package eu.diva.tis.thinkingtool.resource;

import java.util.Random;

public class RandomIdGenerator implements RequestIdGenerator
{
    /* (non-Javadoc)
     * @see eu.diva.tis.thinkingtool.resource.RequestIdGenerator#nextId(eu.diva.tis.api.domain.OrganizationId)
     */
    public Long nextId( final String targetOrganization )
    {
        if( null == _random )
            initRandom();
        return _random.nextLong();
    }
    
    private void initRandom()
    {
        // The seed was randomly typed
        _random = new Random( 19580427 );
    }
    
    private Random _random;
}
